version: 2
name: dev_nanda测试环境
description: https://pre.gitlink.org.cn
global:
  concurrent: 1
trigger:
  webhook: gitlink@1.0.0
  event:
    - ref: push
      ruleset-operator: AND
workflow:
  - ref: start
    name: 开始
    task: start
  - ref: ssh_cmd_0
    name: ssh执行命令
    task: ssh_cmd@1.1.0
    input:
      ssh_pass: ((secret.forge))
      ssh_ip: '"123.59.135.93"'
      ssh_port: '"30122"'
      ssh_user: '"root"'
      ssh_cmd: '"ls"'
    needs:
      - start
  - ref: end
    name: 结束
    task: end
    needs:
      - ssh_cmd_0

